{
  "codeName" : "FormType",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017/PSDATAVIEWS/FormType.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "logicName" : "表单选择数据视图",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE;LOAD",
    "logicTag" : "dataview",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_dataview",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZSAMPLE0017ID",
      "codeName" : "IBIZSample0017Id"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZSAMPLE0017NAME",
      "codeName" : "IBIZSample0017Name"
    }
  } ],
  "pagingSize" : 1000,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "appendDEItems" : false,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : false,
  "enablePagingBar" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "0f805c21e267b297be33ec9523bd1ce5",
  "modeltype" : "PSDEDATAVIEW"
}